## ros-jazzy-ur-description 2.4.0

=== debian/changelog ===
ros-jazzy-ur-description (2.4.0-1bookworm) bookworm; urgency=high

  * Fix multi-line strings in DeclareLaunchArgument (#140 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/140>)
  * Add mergify rule for iron branch (#120 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/120>)
  * Fix default calibration file for UR30
  * Contributors: Felix Exner, Matthijs van der Burgh, RobertWilbrandt

 -- Felix Exner <exner@fzi.de>  Wed, 24 Apr 2024 22:00:00 -0000

ros-jazzy-ur-description (2.2.5-1bookworm) bookworm; urgency=high

  * Auto-update pre-commit hooks (#130 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/130>)
  * Bump pre-commit/action from 3.0.0 to 3.0.1 (#134 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/134>)
  * Bump peter-evans/create-pull-request from 5 to 6 (#133 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/133>)
  * Update Graphical Documentation license to version 1.01
  * Make sure the UR5 models are actually standing on the ground
  * Contributors: Felix Exner, dependabot[bot], github-actions[bot]

 -- Felix Exner <exner@fzi.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-ur-description (2.2.4-1bookworm) bookworm; urgency=high

  * Add UR30 model (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/126>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Thu, 21 Dec 2023 23:00:00 -0000

ros-jazzy-ur-description (2.2.3-1bookworm) bookworm; urgency=high

  * Auto-update pre-commit hooks (#123 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/123>)
  * Bump actions/setup-python from 4 to 5 (#122 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/122>)
  * Remove ros2_control tag from package (#114 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/114>)
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Sun, 17 Dec 2023 23:00:00 -0000

ros-jazzy-ur-description (2.2.2-1bookworm) bookworm; urgency=high

  * Default to non_blocking_read=true (#111 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/111>)
  * Add license comment to package.xml (#107 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/107>)
  * License update for README (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/108>)
  * added possibility to change reverse_port, script_sender_port and trajectory_port (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/105>)
  * Contributors: Felix Durchdewald, Felix Exner, Rune Søe-Knudsen, dependabot[bot], github-actions[bot]

 -- Felix Exner <exner@fzi.de>  Tue, 14 Nov 2023 23:00:00 -0000

ros-jazzy-ur-description (2.2.1-1bookworm) bookworm; urgency=high

  * Update the joint limits for UR20 (#98 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/98>)
  * UR20 description and meshes (#94 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/94>)
    The UR20 meshes are added under Universal Robots A/S’
    Terms and Conditions for Use of Graphical Documentation
  * Contributors: Rune Søe-Knudsen, Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 07 Sep 2023 22:00:00 -0000

ros-jazzy-ur-description (2.2.0-1bookworm) bookworm; urgency=high

  * Auto-update pre-commit hooks
  * Do not require upstream ws in ici
  * Auto-update pre-commit hooks (#88 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/88>)
  * Bump ros-tooling/setup-ros from 0.2 to 0.7 (#83 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/83>)
  * Bump pat-s/always-upload-cache from 2.1.5 to 3.0.11 (#84 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/84>)
  * Bump actions/checkout from 1 to 3 (#85 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/85>)
  * Update README regarding distribution branches (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/80>)
  * Add mergify, dependabot and pre-commit update
  * Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)
  * Add iron workflow (#64 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/64>)
  * Contributors: Felix Exner, Sebastian Castro, dependabot[bot], github-actions[bot]

 -- Felix Exner <exner@fzi.de>  Sun, 27 Aug 2023 22:00:00 -0000

ros-jazzy-ur-description (2.1.0-1bookworm) bookworm; urgency=high

  * added missing handback interface - ros2control mock interface won't work otherwise (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/68>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * remove ticks from tf_prefix (#60 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/60>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Replace duplicated ``prefix`` parameter with ``tf_prefix``
  * Whitespace fixes
  * Update pre-commit workflows to current versions
  * This commits adds additional configuration fields which are needed for multiarm support: (#47 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/47>)
    - Added trajectory_port        - Port needed for the trajectory sending interface
    - Added non_blocking_read      - Takes control of the update rate from ur interface by immediately returning from the read method
    - Added keep_alive_count field - Configures the amount of allowed reading timeouts on the robot side
    Additionally it adds the ${prefix} argument for the gpios and the force torque sensor in the ur.ros2_control.xacro file
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>

