=== debian/control ===
Source: ros-jazzy-ur-description
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-tools <!nocheck>, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-launch-testing-ros <!nocheck>, ros-jazzy-xacro <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-ur-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-joint-state-publisher-gui, ros-jazzy-launch, ros-jazzy-launch-ros, ros-jazzy-robot-state-publisher, ros-jazzy-rviz2, ros-jazzy-urdf, ros-jazzy-xacro, ros-jazzy-ros-workspace
Description: URDF description for Universal Robots
