## ros-jazzy-ur-description 2.4.3

=== debian/changelog ===
ros-jazzy-ur-description (2.4.3-1bookworm) bookworm; urgency=high

  * Fix masses of robot links (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/187>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Mon, 09 Sep 2024 16:00:00 -0000

ros-jazzy-ur-description (2.4.2-1bookworm) bookworm; urgency=high

  * Added dynamics tag when using mock_components/GenericSystem (#181 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/181>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Thu, 08 Aug 2024 16:00:00 -0000

ros-jazzy-ur-description (2.4.1-1bookworm) bookworm; urgency=high

  * Add migration notes for jazzy (#169 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/169>)
  * Remove limits definitions from ros2_control command interfaces (#166 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/166>)
  * Sphinx doc (#161 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/161>)
  * Use absolute paths for configurable files (#160 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/160>)
  * [CI] Fix ref for scheduled jazzy testing binary build (#162 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/162>)
  * Add Jazzy to the README (#158 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/158>)
  * Contributors: Felix Exner, Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Tue, 18 Jun 2024 16:00:00 -0000
